Open issues

Most documentation in the broader SIMP ecosystem claims to support Puppet 6
SIMP-7073
Solve openldap/GitLab integration issue
SIMP-4946
SIMP Does Not Natively Support Compile Masters
SIMP-4564
Update default host yaml file for PE
SIMP-4082
Refactor vnc module to conform to the new puppet/simp standard module style
SIMP-187
Refactor tftpboot module to conform to the new puppet/simp standard module style
SIMP-130
Refactor named module to conform to the new puppet/simp standard module style
SIMP-129
Describe Puppet environment enhancements for SIMP > 6.4
SIMP-7275
simp-simp should include tags to be more discoverable on the Forge
SIMP-7142
SIMP should not require a server reboot when SELinux is unchanged on the OS after SIMP starts managing it
SIMP-7135
Make reboot notifications in SIMP more user friendly
SIMP-7133
SIMP should not require a server reboot for logically equivalent boot command options for FIPS
SIMP-7129
simp_options::firewall doesn't allow users to disable host based firewalls
SIMP-7115
`simp bootstrap` breaks PE installations
SIMP-7075
simp config has confusing error messages
SIMP-7074
Improve modules' Travis CI release pipelines
SIMP-7029
Gitlab CI pipeline cache poisoning in Puppet 4.10 unit tests
SIMP-5754
Convert simp-packer to build DHCP-based boxes
SIMP-5333
pkg:create_tag_changelog generates incomplete changelog when entries have mixed version formats
SIMP-4976
SIMP Should Use A Standardized Module API Design
SIMP-4561
SIMP Should No Longer Use params.pp In Any Module
SIMP-4560
simp_logstash needs to use a general pattern instead of a plugin provided pattern
SIMP-4172
acpid,aide - SUSE acceptance test fails node configuration
SIMP-3401
Draft a short SIMP-in-a-nutshell summary/slide(s)
SIMP-3297
Draft code integrity policy
SIMP-3296
pupmod-simp-krb5 failing multiple unit tests
SIMP-3255
SIMP High Availability (HA)
SIMP-2431
SIMP PE
SIMP-2335
Convert from Puppet 3 custom functions to Puppet 4 custom functions
SIMP-2328
Add to docs: Document simp-adapter
SIMP-2261
Provide an automated method to bulk-manage pupmods
SIMP-1998
Replace common modules with community-maintained modules
SIMP-1836
Add docs explaining SIMP architectural decisions
SIMP-1663
The documentation must be updated to reflect all ISO boot options and what they do.
SIMP-1553
Rename pupmod-simp-pupmod to something less confusing
SIMP-1519
Automate acceptance testing for SIMP ISOs
SIMP-1298
Documentation should be added on how to disable FIPS by hand.
SIMP-1250
Handle errors in VBox-Vagrant-build_iso
SIMP-333
Fix errors in VBox-Vagrant-create_vbox_vm
SIMP-332
Fix VBox-Vagrant-build_nightly so it can complete a build
SIMP-329
CHRONY defaults for simp-cli
SIMP-7292
Add EL8 support to simp-gnome
SIMP-7291
Add EL8 support to simp-gdm
SIMP-7290
bind CVE cve-2019-6477
SIMP-7289
Add EL8 support to simp-deferred_resources
SIMP-7288
Add EL8 support to simp-aide
SIMP-7286
Add EL8 support to simp-compliance_markup
SIMP-7284
EL8 Support for stunnel
SIMP-7278
NFSv4.1+ connections should not allow the client callback port
SIMP-7277
Describe/propose enhancements to make SIMP > 6.4 entirely "Puppet-environment-safe"
SIMP-7274
issue 1 of 985

Most documentation in the broader SIMP ecosystem claims to support Puppet 6

Description

There appears to be a version restriction on SIMP to only support Puppet prior to version 6 (https://github.com/simp/simp-core/blob/master/metadata.json#L325). Virtually every available piece of documentation in SIMP does not reflect this, and in most cases would seem to indicate that SIMP does support Puppet 6. See below:

The changelog is particularly egregious as it makes actual references to Puppet 6 which at the very least are confusing. The other links (the scope of this problem is not limited to only those 3 links, but rather those provide examples) mention supporting Puppet v5.3 and later.

It's not reasonable to expect users to think Puppet v6 isn't supported in the release of 6.4 based on all of the available documentation.

Acceptance Criteria

None

Status

Labels

None

Story Points

None

Components

Sprint

Affects versions

Priority

Highest
Configure